clusterConfig:
  manifests: https://gitlab.com/oceanbox/manifests.git
  env: "" #[dev, test, staging, prod]
  initca: ""
  domain: ".local"
  apiserver: ""
  apiserverip: ""
  etcd_nodes: []
  k8s_nodes: []
  cluster: ""
  ingress_nodes: []
  ingress_replica_count: 3
  fileserver: ""
  nodenames: []
  nodes: []
  ingress_clusterissuer: "letsencrypt-production"
  ingress_whitelist:
    - 10.0.0.0/8
    - 172.16.0.0/12
    - 192.168.0.0/16
    - 172.19.255.0/24
    - 100.64.0.0/12 # tailnet
  ingress_hostnetwork: false
  ingress_hostport: false
  ingress_nodeport: true
  ingress_loadbalancer: false
  acme:
    email: "acme@oceanbox.io"
    dns01: "namecheap-apikey"
  oidc:
    - group: admin
      name: oceanbox
      provider: azuread
      tenant: "3f737008-e9a0-4485-9d27-40329d288089"
      secret_ref:
        name: oceanbox-oidc
      group_id: "eb17a659-4ce6-41bc-9153-d9b117c44479"
    - group: devel
      name: oceanbox
      provider: azuread
      tenant: "3f737008-e9a0-4485-9d27-40329d288089"
      secret_ref:
        name: oceanbox-oidc
      group_id: ""
    - group: analytics
      name: oceanbox
      provider: azuread
      tenant: "3f737008-e9a0-4485-9d27-40329d288089"
      secret_ref:
        name: oceanbox-oidc
      group_id: "52bb4c7e-549c-4aed-bd95-9dcedf716f9f"
  s3:
    hosts: []
    patterns: []
    cidr: []
  argo:
    enabled: true
  cilium:
    enabled: true
  kyverno:
    enabled: true
